## tdelibs-trinity 14.0.11

=== debian/changelog ===
tdelibs-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 22 Oct 2021 02:22:20 +0200

=== debian/control ===
Source: tdelibs-trinity
Section: libs
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, sharutils,
 binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man,
 libart-2.0-dev (>= 4:14.0.0~), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
 libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcupsys2-dev | libcups2-dev,
 libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev, libldap2-dev,
 liblua5.4-dev | liblua5.3-dev | liblua5.2-dev | liblua5.1-dev | liblualib50-dev,
 libopenexr-dev (>= 1.2.2-4.1), libpcre3-dev,
 libsasl2-dev, libssl-dev, libxcomposite-dev, libdbus-1-tqt-dev,
 libtiff-dev, libavahi-client-dev (>= 0.4), x11-xserver-utils,
 libxml2-dev, libxml2-utils, libxslt1-dev, libavahi-tqt-dev,
 texinfo, libogg-dev, libtqtinterface-dev,
 lsb-release, base-files, sudo, libr-dev,
 libudev-dev, libltdl-dev, libmagic-dev
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11
Standards-Version: 3.8.3

Package: tdelibs-trinity
Section: libs
Architecture: all
Replaces: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
Breaks: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
Provides: tdelibs
Conflicts: tdelibs
Depends: tdelibs14-trinity (>= ${source:Version}),
 tdelibs-data-trinity (>= ${source:Version})
Description: core libraries from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the core TDE libraries, binaries, and data,
 needed by virtually all TDE applications. It does not include
 development files.

Package: tdelibs-data-trinity
Section: libs
Architecture: all
Replaces: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
Breaks: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
Conflicts: tdelibs-data, kdebase-kio-plugins-kde3 (<= 4:14.0.0~), kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~), kamera-trinity (<< 4:14.0.8~), klinkstatus-trinity (<< 4:14.0.9~)
Depends: hicolor-icon-theme
Provides: tdelibs-data
Description: core shared data for all TDE applications
 This package contains all the architecture independent data files
 commonly used by TDE applications. You need these data files to run
 TDE applications.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity
Section: libs
Architecture: any
Replaces: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
Breaks: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
Depends: ${shlibs:Depends}, tdelibs-data-trinity,
 netpbm (>= 2:10.0-15.1) | tdelibs14-imagetops-trinity,
 libart-2.0-2 (>= 4:14.0.0~), perl, xbase-clients
Recommends: hwdata, xdg-user-dirs, systemd | elogind | consolekit
Suggests: fam, perl-suid
Description: core libraries and binaries for all TDE applications
 This package contains all the shared libraries and common core binaries
 used by all TDE applications. You need these libraries and binaries to
 run TDE applications.
 .
 Several scripts included in tdebase-bin, related to the handling of SMB
 and NFS shares, require the perl-suid package to work properly.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-imagetops-trinity
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: netpbm
Conflicts: tdelibs14-trinity (<< 4:14.0.10~), netpbm (>= 2:10.0-15.1)
Description: core libraries and binaries for all TDE applications
 This package contains the imagetops binary needed for print filters.
 .
 This binary has been included as part of newer versions of the netpbm
 package. Therefore, to avoid conflict, it was separated from the
 tdelibs14-trinity package into a separate package.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity-dev
Section: libdevel
Architecture: any
Replaces: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
Breaks: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
Depends: tdelibs14-trinity (= ${source:Version}), libart-2.0-dev (>= 4:14.0.0~),
 libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
 libaspell-dev, hspell, libbz2-dev, libcupsys2-dev | libcups2-dev,
 libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev,
 libopenexr-dev (>= 1.2.2-3), libpcre3-dev,
 liblua5.4-dev | liblua5.3-dev | liblua5.2-dev | liblua5.1-dev | liblualib50-dev,
 libsasl2-dev, libssl-dev, libxcomposite-dev,
 libtiff-dev, libxml2-dev, libxml2-utils, libxslt1-dev,
 libavahi-client-dev (>= 0.4), libavahi-tqt-dev, libtqtinterface-dev,
 libr-dev, libudev-dev, libdbus-1-tqt-dev, binutils-dev
Provides: tdelibs-trinity-dev
Description: development files for the TDE core libraries
 This package contains all the headers and other related files needed
 to compile TDE applications, or develop applications which use the
 core TDE libraries.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity-doc
Section: doc
Architecture: all
Replaces: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
Breaks: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
Provides: tdelibs-trinity-doc
Description: developer documentation for the TDE core libraries
 This package contains documentation for the core TDE libraries, of
 use more for developers creating applications which use the core
 TDE libraries, than regular users.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
Breaks: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
Priority: extra
Conflicts: tdelibs4-trinity-dbg, tdelibs4c2-trinity-dbg, tdelibs4c2a-trinity-dbg
Depends: tdelibs14-trinity (= ${source:Version}), libtqtinterface-dbg, libc6-dbg [amd64]
Description: debugging symbols for tdelibs
 This package contains the debugging symbols associated with tdelibs.
 They will automatically be used by gdb for debugging tdelibs-related
 issues.

## tdelibs-trinity 14.0.12

=== debian/changelog ===
tdelibs-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 22 Apr 2022 01:29:50 +0200

## tdelibs-trinity 14.0.13

=== debian/changelog ===
tdelibs-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 21 Oct 2022 00:24:08 +0200

## tdelibs-trinity 14.1.0

=== mimetypes/application/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### other data ################################

tde_create_translated_desktop(
  SOURCE
    x-dvi.desktop x-gzdvi.desktop x-bz2dvi.desktop
    x-tex-gf.desktop x-gzip.desktop x-pak.desktop
    x-object.desktop x-tex-pk.desktop pdf.desktop
    x-tar.desktop x-trash.desktop x-zip.desktop
    x-core.desktop x-javascript.desktop
    java.desktop x-java.desktop x-java-applet.desktop
    x-jar.desktop x-arj.desktop x-tarz.desktop
    x-gzpostscript.desktop postscript.desktop octet-stream.desktop
    x-shellscript.desktop x-desktop.desktop
    x-executable.desktop x-pie-executable.desktop x-executable-script.desktop
    x-archive.desktop x-lha.desktop
    x-tbz.desktop x-tgz.desktop x-awk.desktop
    x-perl.desktop x-perl-module.desktop x-compress.desktop x-cpio.desktop
    x-rpm.desktop msword.desktop x-sharedlib.desktop
    wordperfect.desktop x-troff.desktop x-troff-man.desktop
    x-python.desktop x-python-bytecode.desktop
    x-bzip.desktop x-bzip2.desktop mspowerpoint.desktop vnd.ms-powerpoint.desktop
    msexcel.desktop smil.desktop x-rar.desktop x-zoo.desktop
    x-tzo.desktop x-lzop.desktop
    x-applixword.desktop x-applixspread.desktop x-applixgraphics.desktop
    xhtml+xml.desktop vnd.ms-excel.desktop vnd.ms-word.desktop
    x-shockwave-flash.desktop x-designer.desktop x-linguist.desktop
    x-ogg.desktop ogg.desktop x-pkcs12.desktop x-x509-ca-cert.desktop
    pkcs7-signature.desktop pgp-signature.desktop pgp-encrypted.desktop
    pgp-keys.desktop pgp.desktop x-msmetafile.desktop
    x-mswrite.desktop illustrator.desktop x-abiword.desktop
    x-gnumeric.desktop x-graphite.desktop x-karbon.desktop x-kchart.desktop
    x-kformula.desktop x-kivio.desktop x-kontour.desktop
    x-kpresenter.desktop x-krita.desktop
    x-kspread.desktop x-kugar.desktop x-kword.desktop
    x-quattropro.desktop x-amipro.desktop x-tgif.desktop
    x-lyx.desktop x-zerosize.desktop x-kpovmodeler.desktop x-cda.desktop
    pkcs7-mime.desktop pkcs10.desktop sieve.desktop mbox.desktop
    x-hancomword.desktop
    x-font-bdf.desktop x-font-pcf.desktop x-font-speedo.desktop x-font-type1.desktop
    x-font-ghostscript.desktop x-font-snf.desktop x-font-ttf.desktop
    vnd.ms-asf.desktop x-msdos-program.desktop x-deb.desktop x-debian-package.desktop
    vnd.stardivision.writer.desktop vnd.stardivision.calc.desktop
    vnd.stardivision.impress.desktop
    vnd.sun.xml.impress.desktop vnd.sun.xml.writer.desktop
    vnd.sun.xml.base.desktop
    x-magicpoint.desktop x-vnd.kde.kugar.mixed.desktop x-vnd.kde.kexi.desktop
    vnd.palm.desktop x-kudesigner.desktop x-vnd.kde.kplato.desktop
    vnd.sun.xml.calc.desktop mathml+xml.desktop x-bittorrent.desktop
    x-msaccess.desktop x-gettext.desktop x-ruby.desktop x-kcsrc.desktop
    x-php.desktop x-font-ttc.desktop x-font-otf.desktop
    vnd.mozilla.xul+xml.desktop vnd.sun.xml.draw.desktop
    x-tde-wallet.desktop x-cue.desktop x-ica.desktop x-iso.desktop x-ace.desktop
    x-afm.desktop x-arc.desktop vnd.rn-realmedia.desktop x-dbase.desktop
    vnd.sun.xml.calc.template.desktop vnd.sun.xml.writer.template.desktop
    vnd.sun.xml.impress.template.desktop vnd.sun.xml.draw.template.desktop
    vnd.stardivision.chart.desktop vnd.stardivision.draw.desktop
    vnd.stardivision.math.desktop vnd.stardivision.writer-global.desktop vnd.sun.xml.writer.master.desktop
    x-xliff.desktop x-7z.desktop xml.desktop x-webarchive.desktop  x-mimearchive.desktop
    xsd.desktop relaxng.desktop
    vnd.oasis.opendocument.graphics-template.desktop
    vnd.oasis.opendocument.graphics-flat-xml.desktop
    vnd.oasis.opendocument.graphics.desktop
    vnd.oasis.opendocument.formula.desktop
    vnd.oasis.opendocument.presentation-template.desktop
    vnd.oasis.opendocument.presentation-flat-xml.desktop
    vnd.oasis.opendocument.presentation.desktop
    vnd.oasis.opendocument.spreadsheet-template.desktop
    vnd.oasis.opendocument.spreadsheet-flat-xml.desktop
    vnd.oasis.opendocument.spreadsheet.desktop
    vnd.oasis.opendocument.text-template.desktop
    vnd.oasis.opendocument.text-flat-xml.desktop
    vnd.oasis.opendocument.text.desktop
    vnd.oasis.opendocument.image.desktop
    vnd.oasis.opendocument.chart.desktop
    x-java-jnlp-file.desktop xml-dtd.desktop fits.desktop
    x-sqlite2.desktop x-sqlite3.desktop chm.desktop
    x-mplayer2.desktop
    x-nzb.desktop
    vnd.openxmlformats-officedocument.wordprocessingml.document.desktop
    vnd.openxmlformats-officedocument.wordprocessingml.template.desktop
    vnd.ms-word.document.macroEnabled.12.desktop
    vnd.ms-word.template.macroEnabled.12.desktop
    vnd.openxmlformats-officedocument.spreadsheetml.sheet.desktop
    vnd.openxmlformats-officedocument.spreadsheetml.template.desktop
    vnd.ms-excel.sheet.macroEnabled.12.desktop
    vnd.ms-excel.template.macroEnabled.12.desktop
    vnd.ms-excel.addin.macroEnabled.12.desktop
    vnd.ms-excel.sheet.binary.macroEnabled.12.desktop
    vnd.openxmlformats-officedocument.presentationml.presentation.desktop
    vnd.openxmlformats-officedocument.presentationml.template.desktop
    vnd.openxmlformats-officedocument.presentationml.slideshow.desktop
    vnd.ms-powerpoint.addin.macroEnabled.12.desktop
    vnd.ms-powerpoint.presentation.macroEnabled.12.desktop
    vnd.ms-powerpoint.template.macroEnabled.12.desktop
    vnd.ms-powerpoint.slideshow.macroEnabled.12.desktop
    x-lzma.desktop x-tlzma.desktop x-lzip.desktop x-tlz.desktop x-txz.desktop x-xz.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
  PO_DIR mimetypes
)

install( FILES uninstall.desktop DESTINATION ${MIME_INSTALL_DIR}/application RENAME x-applix.desktop )
install( FILES uninstall.desktop DESTINATION ${MIME_INSTALL_DIR}/application RENAME x-oowriter.desktop )
install( FILES uninstall.desktop DESTINATION ${MIME_INSTALL_DIR}/application RENAME x-ooimpress.desktop )

=== tdewallet/tests/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/tdewallet/client
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdecore
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions (
    -DKDE_NO_COMPAT
    -DTQT_NO_COMPAT
    -DTQT_NO_ASCII_CAST
)

tde_add_check_executable( tdewalletsync  AUTOMOC LINK tdewalletclient-shared )
tde_add_check_executable( tdewalletasync AUTOMOC
    SOURCES tdewalletasync.cpp tdewallettest.cpp
    LINK tdewalletclient-shared )
tde_add_check_executable( tdewalletaboth AUTOMOC
    SOURCES tdewalletboth.cpp tdewallettest.cpp
    LINK tdewalletclient-shared )

=== debian/changelog ===
tdelibs-trinity (4:14.1.0-0ubuntu21.10.1+0) impish; urgency=low

  * Backport commit 41336d84c9. This relates to issue TDE/tde#128.

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 13 Jun 2023 15:22:06 +0200

tdelibs-trinity (4:14.1.0-0ubuntu9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 16 Apr 2023 11:30:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, sharutils,
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, sharutils,
  binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man,
  libart-2.0-dev (>= 4:14.0.0~), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
  libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
@@ -12,12 +12,13 @@
  libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev, libldap2-dev,
  liblua5.4-dev | liblua5.3-dev | liblua5.2-dev | liblua5.1-dev | liblualib50-dev,
  libopenexr-dev (>= 1.2.2-4.1), libpcre3-dev,
- libsasl2-dev, libssl-dev, libxcomposite-dev, libdbus-1-tqt-dev,
+ libsasl2-dev, libxcomposite-dev, libdbus-1-tqt-dev,
  libtiff-dev, libavahi-client-dev (>= 0.4), x11-xserver-utils,
  libxml2-dev, libxml2-utils, libxslt1-dev, libavahi-tqt-dev,
  texinfo, libogg-dev, libtqtinterface-dev,
  lsb-release, base-files, sudo, libr-dev,
- libudev-dev, libltdl-dev, libmagic-dev
+ libudev-dev, libltdl-dev, libmagic-dev, libpcsclite-dev,
+ opensc-pkcs11 | opensc (<< 0.13.0-5), libpkcs11-helper1-dev, libcryptsetup-dev
 Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11
 Standards-Version: 3.8.3
 
@@ -100,14 +101,15 @@
 Breaks: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
 Depends: tdelibs14-trinity (= ${source:Version}), libart-2.0-dev (>= 4:14.0.0~),
  libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
- libaspell-dev, hspell, libbz2-dev, libcupsys2-dev | libcups2-dev,
- libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev,
+ libaspell-dev, hspell, libbz2-dev,
+ libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev,
  libopenexr-dev (>= 1.2.2-3), libpcre3-dev,
  liblua5.4-dev | liblua5.3-dev | liblua5.2-dev | liblua5.1-dev | liblualib50-dev,
- libsasl2-dev, libssl-dev, libxcomposite-dev,
+ libsasl2-dev, libxcomposite-dev,
  libtiff-dev, libxml2-dev, libxml2-utils, libxslt1-dev,
  libavahi-client-dev (>= 0.4), libavahi-tqt-dev, libtqtinterface-dev,
  libr-dev, libudev-dev, libdbus-1-tqt-dev, binutils-dev
+Recommends: libcupsys2-dev | libcups2-dev
 Provides: tdelibs-trinity-dev
 Description: development files for the TDE core libraries
  This package contains all the headers and other related files needed

## tdelibs-trinity 14.1.1

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 3.1 )


##### general package setup #####################

project( tdelibs )

set( PACKAGE tdelibs )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckIncludeFiles )
include( CheckSymbolExists )
include( CheckFunctionExists )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckTypeSize )
include( CheckCSourceRuns )
include( CheckLibraryExists )
include( CheckStructHasMember )


##### include our cmake modules #################

include( TDEMacros )
include( TDESetupPaths )


##### set version number ########################

tde_set_project_version( )


##### setup and find essential stuff ############

tde_setup_paths( )
tde_setup_architecture_flags( )
enable_testing( )
find_package( TQt )

list( APPEND TDECORE_LIBRARY_DIRS ${TQT_LIBRARY_DIRS} )


##### add apidox targets ############

if( "${CMAKE_VERSION}" VERSION_LESS "3.1" )
  set( CMAKE_ENV "env" )
else()
  set( CMAKE_ENV "${CMAKE_COMMAND};-E;env" )
endif()

add_custom_target( apidox
  COMMAND ${CMAKE_ENV}
    "TQTDOCDIR=/usr/share/tqt3/doc/html"
    ${CMAKE_SOURCE_DIR}/admin/doxygen.sh
    --no-modulename
    ${CMAKE_SOURCE_DIR}
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.html' |
    xargs -r sed -i 's|${CMAKE_BINARY_DIR}/apidocs|${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs|g'
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.tag' |
    xargs -r sed -i 's|${CMAKE_SOURCE_DIR}/|${PROJECT_NAME}/|g'
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

add_custom_target( install-apidox
  COMMAND ${CMAKE_COMMAND} -E echo Apidox installed in ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
)

install( CODE "
  if( EXISTS ${CMAKE_BINARY_DIR}/apidocs )
    file(
      INSTALL ${CMAKE_BINARY_DIR}/apidocs/
      DESTINATION ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
      PATTERN doxygen_sqlite3.db EXCLUDE
      PATTERN installdox-slow EXCLUDE
    )
  endif()"
)


##### user requested OPTIONs ####################

OPTION( WITH_ALL_OPTIONS "Enable all OPTIONal support" OFF )

OPTION( TDE_MALLOC "Use own malloc implementation" OFF )
OPTION( TDE_MALLOC_DEBUG "Enable debugging in fast malloc" OFF )
OPTION( TDE_MALLOC_FULL "Make alloc as fast as possible" OFF )

OPTION( WITH_ARTS "Build with aRts" ON )
OPTION( WITH_ALSA "Enable ALSA support" ON )
OPTION( WITH_LIBART "Enable libart support (for SVG icons)" ${WITH_ALL_OPTIONS} )
OPTION( WITH_LIBIDN "Enable support for libidn" ${WITH_ALL_OPTIONS} )
OPTION( WITH_SSL "Enable support for SSL" ON )
OPTION( WITH_CUPS "Enable CUPS support" ON )
OPTION( WITH_IMAGETOPS_BINARY "Enable installation of imagetops binary" ${WITH_ALL_OPTIONS} )
OPTION( WITH_LUA "Enable LUA support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_TIFF "Enable tiff support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_JASPER "Enable jasper (jpeg2k) support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_OPENEXR "Enable openexr support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_UTEMPTER "Use utempter for utmp management" ${WITH_ALL_OPTIONS} )
OPTION( WITH_AVAHI "Enable AVAHI support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_ELFICON "Enable ELF embedded icon support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_PCRE "Enable pcre regex support for kjs" ON )
OPTION( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
OPTION( WITH_INOTIFY "Enable inotify support for tdeio" ON )
OPTION( WITH_GAMIN "Enable FAM/GAMIN support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_TDEHWLIB "Enable TDE hwlib globally" ON )
OPTION( WITH_TDEHWLIB_DAEMONS "Enable daemons for TDE hwlib" ${WITH_TDEHWLIB} )
OPTION( WITH_DEVKITPOWER "Enable DeviceKit Power support" OFF )
OPTION( WITH_LOGINDPOWER "Enable Logind/Systemd Power support" OFF )
OPTION( WITH_UPOWER "Enable uPower support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_UDISKS "Enable uDisks support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_UDISKS2 "Enable uDisks2 support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_UDEVIL "Enable udevil support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_CONSOLEKIT "Enable ConsoleKit support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_NETWORK_MANAGER_BACKEND "Enable network-manager support" OFF )
OPTION( WITH_SUDO_TDESU_BACKEND "Use sudo as backend for tdesu (default is su)" OFF )
OPTION( WITH_OLD_XDG_STD "Use the pre R14.0.0 XDG standard where both TDE and KDE are recognized in desktop files" OFF )
OPTION( WITH_PCSC "Enable PC/SC SmartCard support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_PKCS "Enable PKCS support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_CRYPTSETUP "Enable cryptsetup support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_LZMA "Enable support for LZMA/XZ" ${WITH_ALL_OPTIONS} )
OPTION( WITH_LIBBFD "Enable pretty backtraces with libbfd from GNU binutils" OFF )
OPTION( WITH_XRANDR "Build the tderandr library" ON )
OPTION( WITH_XCOMPOSITE "Enable xcomposite support" ON )
OPTION( WITH_MITSHM "Use MIT-SHM for pixmap loading/saving" ${WITH_ALL_OPTIONS} )
OPTION( WITH_KDE4_MENU_SUFFIX "Add [KDE4] tag to KDE4 menu items" OFF )

OPTION( WITH_ISPELL "Enable ispell support" ON )
OPTION( WITH_ASPELL "Enable aspell support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_HSPELL "Enable hspell support" ${WITH_ALL_OPTIONS} )

OPTION( WITH_TDEICONLOADER_DEBUG "Enable debugging in TDEIconLoader class" OFF )


##### set PKG_CONFIG_PATH #######################

set( ENV{PKG_CONFIG_PATH} "${PKG_CONFIG_PATH}:${PKGCONFIG_INSTALL_DIR}:${LIB_INSTALL_DIR}/pkgconfig:$ENV{PKG_CONFIG_PATH}" )


##### check for CPU architecture ################

### FIXME fast malloc is also available on x86_64 architecture?
if( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )
  set( TDE_MALLOC_X86 1 )
  message( STATUS "Found x86 architecture" )
else( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )
  if( TDE_MALLOC )
    message( FATAL_ERROR "\nKDE fast malloc is available only on x86 architecture" )
  endif( TDE_MALLOC )
endif( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )


##### check for operating system ################

if( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
  set( TDEINIT_SETUID 1 )
  set( TDEINIT_OOM_PROTECT 1 )
endif( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )


##### get the system's default path for libraries

tde_save_and_set( CMAKE_INSTALL_PREFIX "/usr" )
include( GNUInstallDirs OPTIONAL )
if( CMAKE_INSTALL_LIBDIR )
  set( SYSTEM_LIBDIR "${CMAKE_INSTALL_LIBDIR}" )
else( )
  set( SYSTEM_LIBDIR "lib${LIB_SUFFIX}" )
endif( )
tde_restore( CMAKE_INSTALL_PREFIX )


##### check for compiler capabilities ###########

include( CheckCXXCompilerFlag )

check_cxx_compiler_flag( -Woverloaded-virtual WOVERLOADED_VIRTUAL )
if( WOVERLOADED_VIRTUAL )
  set( WOVERLOADED_VIRTUAL -Woverloaded-virtual )
endif( WOVERLOADED_VIRTUAL )

check_cxx_compiler_flag( -fno-builtin NO_BUILTIN )
if( NO_BUILTIN )

endif( NO_BUILTIN )


##### system checks #############################

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )

tde_save_and_set( CMAKE_REQUIRED_INCLUDES ${CMAKE_SOURCE_DIR}/libltdl )
check_include_file( "ltdl.h" HAVE_LTDL_H )
if( NOT HAVE_LTDL_H )
  tde_message_fatal( "ltdl.h is required, but not found on your system" )
endif( )
tde_restore( CMAKE_REQUIRED_INCLUDES )

check_include_file( "alloca.h" HAVE_ALLOCA_H )
check_include_file( "arpa/nameser8_compat.h" HAVE_ARPA_NAMESER8_COMPAT_H )
check_include_file( "awe_voice.h" HAVE_AWE_VOICE_H )
check_include_file( "Carbon/Carbon.h" HAVE_CARBON_CARBON_H )
check_include_file( "crt_externs.h" HAVE_CRT_EXTERNS_H )
check_include_file( "ctype.h" HAVE_CTYPE_H )
check_include_file( "dirent.h" HAVE_DIRENT_H )
check_include_file( "dld.h" HAVE_DLD_H )
check_include_file( "dlfcn.h" HAVE_DLFCN_H )
check_include_file( "dl.h" HAVE_DL_H )
check_include_files( "sys/types.h;sys/dl.h" HAVE_SYS_DL_H )
check_include_file( "float.h" HAVE_FLOAT_H )
check_include_file( "fstab.h" HAVE_FSTAB_H )
check_include_file( "ieeefp.h" HAVE_IEEEFP_H )
check_include_file( "inttypes.h" HAVE_INTTYPES_H )
check_include_file( "libutil.h" HAVE_LIBUTIL_H )
check_include_file( "limits.h" HAVE_LIMITS_H )
check_include_file( "linux/awe_voice.h" HAVE_LINUX_AWE_VOICE_H )
check_include_file( "locale.h" HAVE_LOCALE_H )
check_include_file( "machine/soundcard.h" HAVE_MACHINE_SOUNDCARD_H )
check_include_file( "malloc.h" HAVE_MALLOC_H )
check_include_file( "memory.h" HAVE_MEMORY_H )
check_include_file( "mntent.h" HAVE_MNTENT_H )
check_include_file( "sys/mntent.h" HAVE_SYS_MNTENT_H )
check_include_file( "ndir.h" HAVE_NDIR_H )
check_include_file( "netinet/in.h" HAVE_NETINET_IN_H )
check_include_file( "net/if.h" HAVE_NET_IF_H )
if( NOT HAVE_NET_IF_H )
  find_path( NET_IF_PATH "net/if.h" )
  if( NET_IF_PATH )
    set( HAVE_NET_IF_H "1" )
  endif( )
endif( )
check_include_file( "paths.h" HAVE_PATHS_H )
check_include_file( "pty.h" HAVE_PTY_H )
check_include_file( "stdint.h" HAVE_STDINT_H )
check_include_file( "stdio.h" HAVE_STDIO_H )
check_include_file( "stdlib.h" HAVE_STDLIB_H )
check_include_file( "strings.h" HAVE_STRINGS_H )
check_include_file( "string.h" HAVE_STRING_H )
check_include_file( "sysent.h" HAVE_SYSENT_H )
check_include_file( "sys/acl.h" HAVE_SYS_ACL_H )
check_include_file( "sys/bitypes.h" HAVE_SYS_BITYPES_H )
check_include_file( "sys/dir.h" HAVE_SYS_DIR_H )
check_include_file( "sys/filio.h" HAVE_SYS_FILIO_H )
check_include_file( "sys/mman.h" HAVE_SYS_MMAN_H )
check_include_file( "sys/mntent.h" HAVE_SYS_MNTENT_H )
check_include_files( "stdio.h;sys/mnttab.h" HAVE_SYS_MNTTAB_H )
check_include_file( "sys/mount.h" HAVE_SYS_MOUNT_H )
if( NOT HAVE_SYS_MOUNT_H )
  find_path( SYS_MOUNT_PATH "sys/mount.h" )
  if( SYS_MOUNT_PATH )
    set( HAVE_SYS_MOUNT_H "1" )
  endif( )
endif( )
check_include_file( "sys/ndir.h" HAVE_SYS_NDIR_H )
check_include_file( "sys/param.h" HAVE_SYS_PARAM_H )
check_include_file( "sys/prctl.h" HAVE_SYS_PRCTL_H )
check_include_file( "sys/select.h" HAVE_SYS_SELECT_H )
check_include_file( "sys/soundcard.h" HAVE_SYS_SOUNDCARD_H )
check_include_file( "sys/stat.h" HAVE_SYS_STAT_H )
check_include_file( "sys/stropts.h" HAVE_SYS_STROPTS_H )
check_include_file( "sys/types.h" HAVE_SYS_TYPES_H )
check_include_file( "sys/ucred.h" HAVE_SYS_UCRED_H )
if( NOT HAVE_SYS_UCRED_H )
  find_path( SYS_UCRED_PATH "sys/ucred.h" )
  if( SYS_UCRED_PATH )
    set( HAVE_SYS_UCRED_H 1 )
  endif( )
endif( )
check_include_file( "ucred.h" HAVE_UCRED_H )
if( NOT HAVE_UCRED_H )
  find_path( UCRED_PATH "ucred.h" )
  if( UCRED_PATH )
    set( HAVE_UCRED_H 1 )
  endif()
endif()
check_include_file( "sys/xattr.h" HAVE_SYS_XATTR_H )
check_include_file( "termios.h" HAVE_TERMIOS_H )
check_include_file( "termio.h" HAVE_TERMIO_H )
check_include_file( "unistd.h" HAVE_UNISTD_H )
check_include_file( "util.h" HAVE_UTIL_H )
check_include_file( "values.h" HAVE_VALUES_H )

# FIXME I'm not sure if test TIME_WITH_SYS_TIME are correct
check_include_file( "sys/time.h" HAVE_SYS_TIME_H )
check_include_file( "time.h" HAVE_TIME_H )
if( HAVE_SYS_TIME_H AND HAVE_TIME_H )
  set( TIME_WITH_SYS_TIME 1 )
endif( HAVE_SYS_TIME_H AND HAVE_TIME_H )

if( HAVE_SYS_ACL_H )
  check_include_file( "acl/libacl.h" HAVE_ACL_LIBACL_H )
  if( HAVE_ACL_LIBACL_H )
    check_library_exists( acl acl_init "" HAVE_ACL_INIT )
    if( HAVE_ACL_INIT AND HAVE_SYS_XATTR_H )
      set( USE_POSIX_ACL 1 )
      set( HAVE_NON_POSIX_ACL_EXTENSIONS 1 )
      set( ACL_LIBRARIES acl attr )
    endif( HAVE_ACL_INIT AND HAVE_SYS_XATTR_H )
  else( HAVE_ACL_LIBACL_H )
    check_library_exists( c acl_init "" HAVE_ACL_INIT )
    if( HAVE_ACL_INIT )
      set( USE_POSIX_ACL 1 )
      set( ACL_LIBRARIES c )
    endif( HAVE_ACL_INIT )
  endif( HAVE_ACL_LIBACL_H )
endif( HAVE_SYS_ACL_H )

=== kjs/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/tdecore
  ${LIBPCRE_INCLUDEDIR}
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
  ${LIBPCRE_LIBDIR}
)


##### headers ###################################

install( FILES
    value.h types.h object.h interpreter.h operations.h
    ustring.h lookup.h ${CMAKE_CURRENT_BINARY_DIR}/global.h
    identifier.h property_map.h reference.h reference_list.h
    completion.h scope_chain.h list.h simple_number.h function.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kjs )


##### libkjs ####################################

set( target kjs )

set( ${target}_SRCS
  ustring.cpp date_object.cpp collector.cpp nodes.cpp
  grammar.cpp lexer.cpp lookup.cpp operations.cpp
  regexp.cpp function_object.cpp string_object.cpp
  bool_object.cpp number_object.cpp internal.cpp
  array_object.cpp math_object.cpp object_object.cpp
  regexp_object.cpp error_object.cpp function.cpp
  debugger.cpp value.cpp list.cpp object.cpp
  interpreter.cpp property_map.cpp nodes2string.cpp
  identifier.cpp reference.cpp reference_list.cpp
  scope_chain.cpp dtoa.cpp
)

tde_add_luts(
  array_object.cpp math_object.cpp date_object.cpp
  number_object.cpp string_object.cpp
)

tde_add_lut( keywords.table lexer.lut.h lexer.cpp )

tde_add_library( ${target} SHARED
  SOURCES ${${target}_SRCS}
  VERSION 1.2.0
  LINK tdecore-shared
  LINK_PRIVATE ${LIBPCRE_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== mimetypes/image/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### other data ################################

tde_create_translated_desktop(
  SOURCE
    jpeg.desktop jpg.desktop tiff.desktop x-xpm.desktop x-xbm.desktop
    svg+xml.desktop svg-xml.desktop png.desktop gif.desktop fax-g3.desktop cgm.desktop
    x-bmp.desktop x-photo-cd.desktop x-eps.desktop x-ico.desktop
    x-jng.desktop x-xcf-gimp.desktop x-wmf.desktop x-msod.desktop
    x-xfig.desktop x-portable-bitmap.desktop x-portable-greymap.desktop
    x-portable-pixmap.desktop x-pcx.desktop x-targa.desktop jp2.desktop
    x-vnd.trolltech.qpicture.desktop x-vnd.adobe.photoshop.desktop
    x-xcursor.desktop pjpeg.desktop x-exr.desktop
    x-rgb.desktop x-dds.desktop x-djvu.desktop x-djvu-2.desktop x-hdr.desktop
    fits.desktop x-raw.desktop
  DESTINATION ${MIME_INSTALL_DIR}/image
  PO_DIR mimetypes
)

install( FILES uninstall.desktop DESTINATION ${MIME_INSTALL_DIR}/image RENAME wmf.desktop )

=== debian/changelog ===
tdelibs-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 18 Oct 2023 14:40:51 +0200

## tdelibs-trinity 14.1.2

=== debian/changelog ===
tdelibs-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 17 Apr 2024 10:23:00 +0200

=== debian/rules ===
#! /usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=/opt/trinity/lib:debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
ifeq ($(DEB_TIME64_API),true)
DEB_TIME64_SUFFIX	= t64
else
DEB_TIME64_SUFFIX	=
endif


DEB_KDE_APIDOX := yes

version=Debian Package $(DEB_VERSION)
DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_GCC_VISIBILITY="ON" \
 -DWITH_LIBART="ON" \
 -DWITH_LIBIDN="ON" \
 -DWITH_TIFF="ON" \
 -DWITH_JASPER="ON" \
 -DWITH_OPENEXR="ON" \
 -DWITH_AVAHI="ON" \
 -DWITH_ISPELL="ON" \
 -DWITH_ASPELL="ON" \
 -DWITH_HSPELL="ON" \
 -DDEFAULT_SPELL_CHECKER="ASPELL" \
 -DWITH_ELFICON="ON" \
 -DWITH_TDEHWLIB="ON" \
 -DWITH_TDEHWLIB_DAEMONS="ON" \
 -DWITH_LOGINDPOWER="ON" \
 -DWITH_UPOWER="ON" \
 -DWITH_UDISKS="ON" \
 -DWITH_UDISKS2="ON" \
 -DWITH_UDEVIL="ON" \
 -DWITH_CONSOLEKIT="ON" \
 -DWITH_NETWORK_MANAGER_BACKEND="ON" \
 -DWITH_LZMA="ON" \
 -DWITH_XRANDR="ON" \
 -DWITH_XCOMPOSITE="ON" \
 -DWITH_MITSHM="ON" \
 -DWITH_PCSC="ON" \
 -DWITH_PKCS="ON" \
 -DWITH_CRYPTSETUP="ON" \
 -DWITH_IMAGETOPS_BINARY="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_MAKE_CHECK_TARGET = check

DEB_FIXPERMS_EXCLUDE := \
	opt/trinity/bin/fileshareset	\
	opt/trinity/bin/kgrantpty	\
	opt/trinity/bin/kpac_dhcp_helper \
	opt/trinity/bin/start_tdeinit

DEB_DH_STRIP_ARGS  := --dbg-package=tdelibs-trinity-dbg

binary-install/tdelibs-data-trinity::
	install -p -D -m644 kded/tde-applications.menu debian/tdelibs-data-trinity/opt/trinity/etc/xdg/menus/tde-applications.menu
	install -p -D -m644 debian/trinitylibs.conf debian/tdelibs-data-trinity/etc/ld.so.conf.d/trinitylibs.conf
#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/apps/tdeui/pics/abouttde.png debian/icons/abouttde-kubuntu.png.uu

	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/devices/computer.png debian/icons/cr16-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/devices/computer.png debian/icons/cr22-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/devices/computer.png debian/icons/cr32-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/devices/computer.png debian/icons/cr48-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/64x64/devices/computer.png debian/icons/cr64-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/128x128/devices/computer.png debian/icons/cr128-device-computer.png.uu
#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/scalable/devices/computer.svgz debian/icons/crsc-device-computer.svgz.uu

	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu

	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/suspend.png debian/icons/cr16-action-suspend.png.uu

### 

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

binary-predeb/tdelibs14-trinity-dev::
ifeq (linux,$(DEB_HOST_ARCH_OS))
	echo "libasound2-trinity-dev=libasound2-trinity-dev" >> debian/tdelibs14-trinity-dev.substvars
endif

binary-install/tdelibs14-trinity::
	mv debian/tmp/opt/trinity/bin/tdecmshell debian/tmp/opt/trinity/bin/tdecmshell.real
	install -p -D -m755 debian/tmp/opt/trinity/bin/tdecmshell.real debian/tdelibs14-trinity/opt/trinity/bin/tdecmshell.real
	install -p -D -m755 debian/tdecmshell debian/tdelibs14-trinity/opt/trinity/bin/tdecmshell

post-patches::
	dh_testdir
ifeq ($(DEB_TIME64_API),true)
	# update library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "/tdelibs14-trinity\." | \
	grep -v "\.t64$$" | \
	while read a; do \
	    [ -d $$a ] || [ -f $$a.t64 ] || \
	    (cp -a $$a debian/tdelibs14$(DEB_TIME64_SUFFIX)-trinity.$${a##*.} && mv $$a $$a.t64); \
	done
	[ -f debian/control.t64 ] || \
	sed -i.t64 \
	    -e "s/^\\(Package: tdelibs14\\)-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(tdelibs\\)4c2a-trinity\\( \|$$\)/\\1:\\2\\34c2a-trinity, \\314-trinity\\4/" \
	    -e "s/\\(tdelibs14\\)-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
	    debian/control
endif

clean::
	dh_testdir
	dh_clean

ifeq ($(DEB_TIME64_API),true)
	# revert library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "\.t64$$" | \
	while read a; do \
	    mv $$a $${a%.t64}; \
	done
	ls -d debian/* | \
	grep -E "/tdelibs14$(DEB_TIME64_SUFFIX)-trinity\." | \
	xargs -r rm
	[ ! -f debian/control.t64 ] || \
	mv debian/control.t64 debian/control
endif
